# Class DataFormat

java.lang.Object
uk.ac.starlink.votable.DataFormat

public class DataFormat extends Object
Class of objects representing the different serialization formats into which VOTable cell data can be written. This class exemplifies the typesafe enum pattern.

Author:
  Mark Taylor (Starlink)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DataFormat`
`BINARY`
Raw binary format.
`static final DataFormat`
`BINARY2`
Binary format with additional null flags.
`static final DataFormat`
`FITS`
FITS format.
`static final DataFormat`
`TABLEDATA`
TABLEDATA format (pure XML).

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TABLEDATA

public static final DataFormat TABLEDATA
TABLEDATA format (pure XML).

### FITS

public static final DataFormat FITS
FITS format.

### BINARY

public static final DataFormat BINARY
Raw binary format.

### BINARY2

public static final DataFormat BINARY2
Binary format with additional null flags. VOTable 1.3+ only.

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`